> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ja/rissu/api-docs/vector-store/add-new-text-document-to-a-vector-store.md).

# ベクターストアに新しいテキスト文書を追加

{% openapi src="/files/NPsg8DFwcSjopKSuZo9m" path="/vector-stores/{vector-store-id}/documents/create" method="post" %}
[rememberizer\_openapi.yml](https://3282965451-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FK09NlRK7lXZsjqCNQsEe%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=dd73efa7-56a8-4350-88ab-85d7586fb7b8)
{% endopenapi %}

## 例リクエスト

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/create \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "製品概要",
    "text": "私たちの製品は、ベクトル埋め込みを管理するための革新的なソリューションです。既存のシステムとのシームレスな統合を提供し、強力なセマンティック検索機能を備えています。"
  }'
```

{% hint style="info" %}
`YOUR_API_KEY` を実際のベクトルストアAPIキーに、`vs_abc123` をベクトルストアIDに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const addTextDocument = async (vectorStoreId, name, text) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/create`, {
    method: 'POST',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      name: name,
      text: text
    })
  });
  
  const data = await response.json();
  console.log(data);
};

addTextDocument(
  'vs_abc123',
  '製品概要',
  '私たちの製品は、ベクトル埋め込みを管理するための革新的なソリューションです。既存のシステムとのシームレスな統合を提供し、強力なセマンティック検索機能を備えています。'
);
```

{% hint style="info" %}
`YOUR_API_KEY` を実際のベクトルストアAPIキーに、`vs_abc123` をベクトルストアIDに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

def add_text_document(vector_store_id, name, text):
    headers = {
        "x-api-key": "YOUR_API_KEY",
        "Content-Type": "application/json"
    }
    
    payload = {
        "name": name,
        "text": text
    }
    
    response = requests.post(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents/create",
        headers=headers,
        data=json.dumps(payload)
    )
    
    data = response.json()
    print(data)

add_text_document(
    'vs_abc123',
    '製品概要',
    '私たちの製品は、ベクトル埋め込みを管理するための革新的なソリューションです。既存のシステムとのシームレスな統合を提供し、強力なセマンティック検索機能を備えています。'
)
```

{% hint style="info" %}
`YOUR_API_KEY` を実際のベクトルストアAPIキーに、`vs_abc123` をベクトルストアIDに置き換えてください。
{% endhint %}
{% endtab %}
{% endtabs %}

## パスパラメータ

| パラメータ           | タイプ    | 説明                             |
| --------------- | ------ | ------------------------------ |
| vector-store-id | string | **必須。** ドキュメントを追加するベクトルストアのID。 |

## リクエストボディ

```json
{
  "name": "製品概要",
  "text": "私たちの製品は、ベクトル埋め込みを管理するための革新的なソリューションです。既存のシステムとのシームレスな統合を提供し、強力なセマンティック検索機能を備えています。"
}
```

| パラメータ | タイプ    | 説明                     |
| ----- | ------ | ---------------------- |
| name  | string | **必須。** ドキュメントの名前。     |
| text  | string | **必須。** ドキュメントのテキスト内容。 |

## レスポンスフォーマット

```json
{
  "id": 1234,
  "name": "製品概要",
  "type": "text/plain",
  "vector_store": "vs_abc123",
  "size": 173,
  "status": "処理中",
  "processing_status": "キュー待ち",
  "indexed_on": null,
  "status_error_message": null,
  "created": "2023-06-15T10:15:00Z",
  "modified": "2023-06-15T10:15:00Z"
}
```

## 認証

このエンドポイントは、`x-api-key` ヘッダーを使用して API キーによる認証を必要とします。

## エラー応答

| ステータスコード | 説明                                   |
| -------- | ------------------------------------ |
| 400      | 不正なリクエスト - 必須フィールドが欠落しているか、無効なフォーマット |
| 401      | 認証エラー - 無効または欠落しているAPIキー             |
| 404      | 未発見 - ベクターストアが見つかりません                |
| 500      | サーバ内部エラー                             |

このエンドポイントを使用すると、テキストコンテンツを直接ベクターストアに追加できます。これは、製品説明、ナレッジベースの記事、またはカスタムコンテンツなど、ファイル形式で存在しない可能性のある情報を保存するのに特に便利です。テキストは自動的にベクター埋め込みに処理され、意味的類似性を使用して検索可能になります。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ja/rissu/api-docs/vector-store/add-new-text-document-to-a-vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
